include ../fieldErrors.pug

mixin usuario(pessoa)

	div.row

		div.col-lg-4.col-sm-4

			label(for='modulos') Módulos:

			select.form-control(name='modulos', ng-options='modulo.nome for modulo in modulos', ng-model='modulo', ng-change='carregarPerfis(modulo)', ng-required=pessoa + '.isUsuario && ( !' + pessoa + '.usuario || ' + pessoa + '.usuario.perfis.length === 0)')
				option(value='', disabled, selected, style='display: none;')
					| Selecione

			+fieldErrors(field="perfis", errors=["required"])

		div.col-lg-4.col-sm-4

			label(for='perfis') Perfis de usuário:

			select.form-control(name='perfis', ng-options='perfil.nome for perfil in perfisUsuario', ng-disabled="perfisUsuario.length < 1 || !modulo", ng-model='perfil', ng-change='adicionarPerfil(perfil)', ng-required=pessoa + '.isUsuario && ( !' + pessoa + '.usuario || ' + pessoa + '.usuario.perfis.length === 0)')
				option(value='', disabled, selected, style='display: none;')
					| Selecione

			+fieldErrors(field="perfis", errors=["required"])

	div.row(style='margin-top:25px')

		div.col-lg-12.col-sm-12

			label(for='perfisSelecionados') Perfis selecionados:

			.md-chips.no-padding(name='perfisSelecionados', ng-if=pessoa + '.usuario.perfis.length > 0')

				.md-chip(ng-repeat="perfil in " + pessoa + ".usuario.perfis")

					span
						| {{perfil.nome}}&nbsp;

					button.md-chip-remove(type='button', ng-click='removerPerfil(perfil)')

			div(name='perfisSelecionados', ng-if=pessoa + '.usuario.perfis.length === 0')

				center
					span
						| Não existem perfis de usuário selecionados.

	div.row

		div.col-lg-4.col-sm-4

			label(for='setor') Setores:

			select.form-control(name='setores', ng-options='setor.nome for setor in setoresUsuario', ng-disabled="setoresUsuario.length < 1 ", ng-model='setor', ng-change='adicionarSetor(setor)')
				option(value='', disabled, selected, style='display: none;')
					| Selecione

			+fieldErrors(field="setores", errors=["required"])


	div.row(style='margin-top:25px')

		div.col-lg-12.col-sm-12

			label(for='setoresSelecionados') Setores selecionados:

			.md-chips.no-padding(name='setoresSelecionados', ng-if=pessoa + '.usuario.setores.length > 0')

				.md-chip(ng-repeat="setor in " + pessoa + ".usuario.setores")

					span
						| {{setor.nome}}&nbsp;

					button.md-chip-remove(type='button', ng-click='removerSetor(setor)')

			div(name='setoresSelecionados', ng-if=pessoa + '.usuario.setores.length === 0')

				center
					span
						| Não existem setores de usuário selecionados.
